## rake 1.0

=== DESCRIPTION ===
Package: rake
Type: Package
Title: Normalize sample weights using marginal total population weights.
Version: 1.0
Date: 2006-01-18
Author: Toby Dylan Hocking <tdhock@ocf.berkeley.edu>
Maintainer: Toby Dylan Hocking <tdhock@ocf.berkeley.edu>
Description: Raking a survey dataset entails re-weighting a sample by making the sample marginal totals agree with the population marginal totals for two survey response variables. Raking is a robust technique that is often useful for dealing with nonresponse. The 'rake' package streamlines the process of Raking by creating the special 'rake' class, which is essentially a summary of the sample weights.
License: GPL version 2, or, at your option, any newer version.
Packaged: Wed Jan 18 09:39:31 2006; tdhock

=== inst/doc/Makefile ===
all: rake-manual.Snw
	Sweave -ld rake-manual.Snw

## rake 0.9.2.2

=== debian/changelog ===
rake (0.9.2.2-4) unstable; urgency=low

  * Bump build dependency on gem2deb to >= 0.3.0~

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 25 Jun 2012 19:59:21 -0300

rake (0.9.2.2-3) unstable; urgency=low

  * debian/control:
    - Drop the depend on rdoc, as the ruby | ruby-interpreter depend already
      provides it (closes: #651503).
    - Drop the depend on rubygems, it is not needed.
    - Added myself to the uploaders.
    - Bumped standards version to 3.9.3; no changes required.
  * debian/copyright: update the format header for copyright format
    version 1.0.

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 17 Jun 2012 15:37:48 +0200

rake (0.9.2.2-2) unstable; urgency=low

  * Replace libflexmock-ruby* by ruby-flexmock in Build-Depends
  * Fix patch that removes Rubygems dependencies (Closes: #649984)
    + added a DEP8-style test for that

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 25 Nov 2011 10:25:49 -0200

rake (0.9.2.2-1) unstable; urgency=low

  [ Ondřej Surý ]
  * New upstream release.
  * Convert package to gem2deb and to Ruby Wheezy policy.
  * Adopt the package under Debian Ruby Extras Maintainers,

  [ Antonio Terceiro ]
  * Fix bash completion (Closes: #638572). Thanks to Daniel T Chen for
    forwarding the patch from Ubuntu.
  * Properly escape minus signs in rake(1) manpage.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 20 Nov 2011 15:46:07 -0200

rake (0.8.7-2) unstable; urgency=low

  * Remove build-dependency on libtest-unit-ruby. No longer needed. 
    (closes: #577868)
  * Update standards to 3.8.4

 -- Adam Majer <adamm@zombino.com>  Fri, 16 Apr 2010 22:21:30 -0500

rake (0.8.7-1) unstable; urgency=low

  * New upstream release
  * Update standards to 3.8.3
  * Update required debhelper to at least version 7

 -- Adam Majer <adamm@zombino.com>  Fri, 04 Sep 2009 11:23:31 -0500

rake (0.8.4-1) unstable; urgency=low

  * New upstream release
  * Update Standards to 3.8.0 - no changes.

 -- Adam Majer <adamm@zombino.com>  Mon, 09 Mar 2009 14:09:01 -0500

rake (0.8.3-1) unstable; urgency=low

  * New upstream release
  * debian/control
     + Git repository tags added
     + Homepage link added
     + Use Debian's flexmock package instread of supplying our own.

 -- Adam Majer <adamm@zombino.com>  Mon, 23 Feb 2009 01:53:22 -0600

rake (0.8.1-3) unstable; urgency=low

  * Apply upstream patch (SVN r632) correcting one of the unit
    tests. The old unit test depends on the file system ordering
    while the new ones just check for consistency. File order is
    unimportant. (closes: #462817)

 -- Adam Majer <adamm@zombino.com>  Mon, 28 Jan 2008 11:42:11 -0600

rake (0.8.1-2) unstable; urgency=low

  * Really add zip as part of the recommends. Forgot to do that in the
    last upload. (closes: #378701)

 -- Adam Majer <adamm@zombino.com>  Sat, 26 Jan 2008 17:45:44 -0600

rake (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Update Standard to 3.7.3 - no changes needed
  * debian/rules changes:
    + Remove bunch of MacOS specific files shipped in upstream tarball 
    + Fixed unit testing by creating a missing subdirectory - it was
      actually missing in the tarball (closes: #436321)

 -- Adam Majer <adamm@zombino.com>  Sat, 26 Jan 2008 14:01:51 -0600

rake (0.7.3-1) unstable; urgency=low

  * New upstream release
  * Updated flexmock from 0.1.7 to 0.6.0
  * Updated Standards to 0.7.2 - no changes
  * Fixed Build-Depends on debhelper

 -- Adam Majer <adamm@zombino.com>  Sun, 06 May 2007 17:15:36 -0500

rake (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Adam Majer <adamm@zombino.com>  Mon, 19 Mar 2007 17:18:22 -0500

rake (0.7.1-1) unstable; urgency=low

  * New upstream release
     + Added a missing test2.rake file in test/rakelib so the unit
     tests succeed.

 -- Adam Majer <adamm@zombino.com>  Sun, 14 May 2006 00:30:02 -0500

rake (0.7.0-1) unstable; urgency=low

  * New upstream release (closes: 351999)
     + Added flexmock to the package's source to enable tests during build
     + dpatch is no longer needed for building (closes: 350577)
  * Moved Build-Depends to Build-Depends-Indep

 -- Adam Majer <adamm@zombino.com>  Sat, 11 Feb 2006 15:19:14 -0600

rake (0.6.2-2) unstable; urgency=low

  *  Apply an upstream patch to fix a problem with current Ruby fileutils and
     removal of noop option. Thanks to Lucas Nussbaum for pointing this out
     and finding the patch. (closes: #336937)

 -- Adam Majer <adamm@zombino.com>  Wed,  9 Nov 2005 21:41:16 -0600

rake (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Adam Majer <adamm@zombino.com>  Thu, 13 Oct 2005 18:36:11 -0500

rake (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Updated to standards 3.6.2. No changes needed.

 -- Adam Majer <adamm@zombino.com>  Wed,  7 Sep 2005 13:18:33 -0500

rake (0.5.4-1) unstable; urgency=low

  * New upstream release
  * Added bash completion for rake thanks to Michael Schuerig (closes:
    #307051)

 -- Adam Majer <adamm@zombino.com>  Mon,  2 May 2005 12:37:03 -0500

rake (0.5.3-1) unstable; urgency=low

  * New upstream release

 -- Adam Majer <adamm@zombino.com>  Mon, 11 Apr 2005 08:46:28 -0500

rake (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Adam Majer <adamm@zombino.com>  Wed, 30 Mar 2005 18:24:01 -0600

rake (0.4.15-2) unstable; urgency=low

  * Added a missing build depends on rdoc thanks to Andreas Jochens (closes:
    #298339)

 -- Adam Majer <adamm@zombino.com>  Sun,  6 Mar 2005 15:12:41 -0600

rake (0.4.15-1) unstable; urgency=low

  * Initial Release (closes: #291732)

 -- Adam Majer <adamm@zombino.com>  Thu, 10 Feb 2005 18:37:28 -0600

=== debian/control ===
Source: rake
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders:
 Ondřej Surý <ondrej@debian.org>,
 Antonio Terceiro <terceiro@debian.org>,
 Paul van Tilburg <paulvt@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~),
 gem2deb (>= 0.3.0~),
 ruby-minitest,
 ruby-session,
 ruby-flexmock
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-ruby-extras/rake.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/rake.git;a=summary
Homepage: http://rake.rubyforge.org
XS-Ruby-Versions: all

Package: rake
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Recommends: zip
Description: ruby make-like utility
 Rake is a simple ruby build program with capabilities similar to make.
 .
 Rake has the following features:
   * Rakefiles (rakes version of Makefiles) are completely defined in
     standard Ruby syntax. No XML files to edit. No quirky Makefile
     syntax to worry about (is that a tab or a space?)
   * Users can specify tasks with prerequisites.
   * Rake supports rule patterns to sythesize implicit tasks.
   * Rake is lightweight. It can be distributed with other
     projects as a single file. Projects that depend upon
     rake do not require that rake be installed on target
     systems.

## rake 1.1

=== DESCRIPTION ===
Package: rake
Type: Package
Title: Normalize sample weights using marginal total population
        weights.
Version: 1.1
Date: 2006-01-18
Author: Toby Dylan Hocking <toby.hocking@inria.fr>
Maintainer: Toby Dylan Hocking <toby.hocking@inria.fr>
Description: Raking a survey dataset entails re-weighting a sample by
        making the sample marginal totals agree with the population
        marginal totals for two survey response variables. Raking is a
        robust technique that is often useful for dealing with
        nonresponse. The 'rake' package streamlines the process of
        Raking by creating the special 'rake' class, which is
        essentially a summary of the sample weights.
License: GPL (>= 2)
Packaged: 2010-04-12 09:33:24 UTC; hocking
Repository: CRAN
Date/Publication: 2010-04-12 13:10:35

=== inst/doc/Makefile ===
all: rake-manual.Snw
	R CMD Sweave rake-manual.Snw

## rake 1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Normalize sample weights using marginal total population
         weights.
-Version: 1.1
-Date: 2006-01-18
+Version: 1.2
+Date: 2011-03-03
 Author: Toby Dylan Hocking <toby.hocking@inria.fr>
 Maintainer: Toby Dylan Hocking <toby.hocking@inria.fr>
 Description: Raking a survey dataset entails re-weighting a sample by
@@ -14,6 +14,6 @@
         Raking by creating the special 'rake' class, which is
         essentially a summary of the sample weights.
 License: GPL (>= 2)
-Packaged: 2010-04-12 09:33:24 UTC; hocking
+Packaged: 2012-10-29 08:59:34 UTC; ripley
 Repository: CRAN
-Date/Publication: 2010-04-12 13:10:35
+Date/Publication: 2012-10-29 08:59:34

## rake 10.0.4

=== debian/changelog ===
rake (10.0.4-1) unstable; urgency=low

  [ Cédric Boutillier ]
  * debian/control: remove obsolete DM-Upload-Allowed flag
  * use canonical URI in Vcs-* fields

  [ Antonio Terceiro ]
  * New upstream release
  * debian/patches/0001-remove_rubygems.patch: refresed

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 17 May 2013 21:46:10 -0300

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,14 @@
  Ondřej Surý <ondrej@debian.org>,
  Antonio Terceiro <terceiro@debian.org>,
  Paul van Tilburg <paulvt@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~),
  gem2deb (>= 0.3.0~),
  ruby-minitest,
  ruby-session,
  ruby-flexmock
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/pkg-ruby-extras/rake.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/rake.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rake.git
+Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/rake.git;a=summary
 Homepage: http://rake.rubyforge.org
 XS-Ruby-Versions: all

=== debian/rules ===
#!/usr/bin/make -f

export DH_RUBY_IGNORE_TESTS=ruby1.8

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_clean:
	$(RM) test/data/dryrun/temp_main
	$(RM) test/data/dryrun/temp_two
	$(RM) -r test/data/file_creation_task/build/
	$(RM) -r test/data/file_creation_task/src/
	dh_clean

=== debian/tests/control ===
Tests: rdoctask
Depends: @, ruby1.8

## rake 10.1.1

=== debian/changelog ===
rake (10.1.1-1) unstable; urgency=medium

  * New upstream release
  * added debian/patches/skip_permission_test.patch
    - skips a test that is doomed to fail under fakeroot
  * added debian/patches/autopkgtest.patch
    - sets the right environment to run testsuite against the package as
      installed

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 15 Feb 2014 16:38:36 -0300

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
  ruby-minitest,
  ruby-session,
  ruby-flexmock
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rake.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/rake.git;a=summary
 Homepage: http://rake.rubyforge.org
 XS-Ruby-Versions: all
+XS-Testsuite: autopkgtest
 
 Package: rake
 Architecture: all

## rake 10.3.2

=== debian/changelog ===
rake (10.3.2-2) unstable; urgency=medium

  * updated manpage to not reference rake-doc
  * bumped standards to 3.9.6 (no changes)

 -- Caitlin Matos <caitlin.matos@zoho.com>  Fri, 19 Sep 2014 15:43:51 -0400

rake (10.3.2-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * Remove myself from Uploaders

  [ Caitlin Matos ]
  * New upstream release: 10.3.2
  * updated homepage
  * added self to uploaders
  * updated d/copyright
  * refreshed patches
  * added new BD: ruby-hoe
  * removed DH_RUBY_IGNORE_TESTS (unnecessary now)
  * updated and revised manpage, submitted upstream (Closes: #755845)
  * bumped dh, compat to 9

  [ Antonio Terceiro ]
  * bash completion: Improve speed and accuracy with colons in task names by
    borrowing some ideas from https://github.com/ai/rake-completion. Too bad
    they never tried to improve the completion included in this package
    instead.

 -- Caitlin Matos <caitlin.matos@zoho.com>  Thu, 28 Aug 2014 12:01:27 -0400

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders:
- Ondřej Surý <ondrej@debian.org>,
  Antonio Terceiro <terceiro@debian.org>,
- Paul van Tilburg <paulvt@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+ Paul van Tilburg <paulvt@debian.org>,
+ Caitlin Matos <caitlin.matos@zoho.com>
+Build-Depends: debhelper (>= 9),
  gem2deb (>= 0.3.0~),
  ruby-minitest,
  ruby-session,
- ruby-flexmock
-Standards-Version: 3.9.5
+ ruby-flexmock,
+ ruby-hoe
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/rake.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/rake.git;a=summary
-Homepage: http://rake.rubyforge.org
+Homepage: https://github.com/jimweirich/rake
 XS-Ruby-Versions: all
 XS-Testsuite: autopkgtest

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@
Restrictions: rw-build-tree allow-stderr

## rake 10.4.2

=== debian/changelog ===
rake (10.4.2-1) unstable; urgency=medium

  * Team upload.
  * Remove obsolete d/require-rubygems.overrides
  * New upstream release: 10.4.2
    * Depends on newer minitest which is available in Debian.
      (Closes: #704150)
    * Remove upstream-applied patches.
  * debian/control: Replace XS-Testsuite with Testsuite
  * Update bash-completion install directory

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 31 Jul 2015 08:29:08 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/rake.git;a=summary
 Homepage: https://github.com/jimweirich/rake
 XS-Ruby-Versions: all
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 
 Package: rake
 Architecture: all

## rake 10.5.0

=== debian/changelog ===
rake (10.5.0-2ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: OS command injection
    - debian/patches/CVE-2020-8130.patch: use File.open explicitly
      lib/rake/file_list.rb.
    - CVE-2020-8130

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 03 Mar 2020 10:44:59 -0300

rake (10.5.0-2) unstable; urgency=medium

  * Team upload.
  * Set Multi-Arch: foreign to allow crossinstall of ruby itself

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 01 Mar 2016 19:15:02 +0100

rake (10.5.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add debian/patches/skip-rake-libdir.patch: avoid includingh
    -I/usr/lib/ruby/vendor_ruby first in $LOAD_PATH, what breaks running tests
    of ruby-foo if there is another copy of ruby-foo already installed.
  * debian/control:
    - Bump Standards-Version to 3.9.7; no changes neeedd
    - Switch Vcs-* to https URLs

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 29 Feb 2016 17:03:19 -0300

rake (10.4.2-2) unstable; urgency=medium

  * Fix bash completion

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 11 Nov 2015 15:06:00 -0200

=== debian/control ===
Source: rake
Section: ruby
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>,
           Paul van Tilburg <paulvt@debian.org>,
           Caitlin Matos <caitlin.matos@zoho.com>
Build-Depends: debhelper (>= 9),
               gem2deb (>= 0.3.0~),
               ruby-flexmock,
               ruby-hoe,
               ruby-minitest,
               ruby-session
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/rake.git
Vcs-Browser: https://anonscm.debian.org/gitweb/cgit/pkg-ruby-extras/rake.git
Homepage: https://github.com/jimweirich/rake
XS-Ruby-Versions: all
Testsuite: autopkgtest

Package: rake
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Multi-Arch: foreign
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: zip
Description: ruby make-like utility
 Rake is a simple ruby build program with capabilities similar to make.
 .
 Rake has the following features:
   * Rakefiles (rakes version of Makefiles) are completely defined in
     standard Ruby syntax. No XML files to edit. No quirky Makefile
     syntax to worry about (is that a tab or a space?)
   * Users can specify tasks with prerequisites.
   * Rake supports rule patterns to sythesize implicit tasks.
   * Rake is lightweight. It can be distributed with other
     projects as a single file. Projects that depend upon
     rake do not require that rake be installed on target
     systems.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DH_RUBY_IGNORE_TESTS=ruby1.8
 
 %:
 	dh $@ --buildsystem=ruby --with ruby

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/rake .*/rake-(.*).tar.gz

## rake 12.0.0

=== debian/changelog ===
rake (12.0.0-1) unstable; urgency=medium

  * debian/watch, debian/copyright: pull from ruby/rake on Github
  * New upstream release
  * debian/copyright: drop paragraph that became unused
  * Refresh patches
  * debian/ruby-tests.rb:
    - adapt to reorganization in upstream source
    - force SEED used in randomizing test order, since the tests fail randomly
      depending on the order they are executed. See
      https://github.com/ruby/rake/issues/212
  * debian/control:
    - drop Build-Depends that are no longer necessary due to upstream changes
    - add ruby-bundler to Build-Depends
    - Change Testsuite: to autopkgtest-pkg-ruby
    - Bump Standards-Version to 4.0.0; no changes needed
  * Drop debian/tests/*: just use the common Ruby testing infrastructure
  * debian/patches/0003-gemspec-drop-git-usage.patch: drop usage of git in
    rake.gemspec

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 30 Jun 2017 18:02:58 -0300

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
 Source: rake
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Paul van Tilburg <paulvt@debian.org>,
            Caitlin Matos <caitlin.matos@zoho.com>
 Build-Depends: debhelper (>= 9),
-               gem2deb (>= 0.3.0~),
-               ruby-flexmock,
-               ruby-hoe,
+               gem2deb,
+               ruby-bundler,
                ruby-minitest,
-               ruby-session
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/rake.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/cgit/pkg-ruby-extras/rake.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/rake.git
 Homepage: https://github.com/jimweirich/rake
 XS-Ruby-Versions: all
-Testsuite: autopkgtest
+Testsuite: autopkgtest-pkg-ruby
 
 Package: rake
 Architecture: all

## rake 12.3.0

=== debian/changelog ===
rake (12.3.0-1) unstable; urgency=medium

  * New upstream version 12.3.0
  * Refresh patches
  * Bump Standards-Version to 4.1.2; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 07 Dec 2017 08:58:52 -0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                gem2deb,
                ruby-bundler,
                ruby-minitest,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/rake.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/rake.git
 Homepage: https://github.com/jimweirich/rake

## rake 12.3.1

=== debian/changelog ===
rake (12.3.1-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: OS command injection
    - debian/patches/CVE-2020-8130.patch: use File.open explicitly
      lib/rake/file_list.rb.
    - CVE-2020-8130

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 03 Mar 2020 10:44:04 -0300

rake (12.3.1-1) unstable; urgency=medium

  * New upstream release. 
  * debian/patches: Refresh for release 12.3.1-1. 

 -- Georg Faerber <georg@riseup.net>  Fri, 23 Mar 2018 23:27:13 +0100

rake (12.3.0-2) unstable; urgency=medium

  * debian/control:
    - Add myself as Uploader.
    - Bump required debhelper version to >= 11~.
    - Bump Standards-Version to 4.1.3, no changes needed.
    - Use salsa.debian.org for Vcs-{Git,Browser} fields.
    - Run wrap-and-sort.
  * debian/copyright:
    - Use HTTPS in link to copyright format specification.
    - Include missing authors and bump years to include 2018.
  * debian/compat: Bump debhelper compat level to 11.
  * debian/ruby-tests.rb: Ensure tests are working with ruby 2.5: Remove the
    call to the dropped option '-rubygems' in ruby 2.5, make the run of the
    testsuite verbose, and, drop the fixed seed, again. The later was needed
    to ensure the testsuite was executed successfully; this was fixed
    upstream, now. (Closes: #890751)
  * debian/rules: Install upstream changelog.

 -- Georg Faerber <georg@riseup.net>  Tue, 20 Mar 2018 03:04:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: rake
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Paul van Tilburg <paulvt@debian.org>,
-           Caitlin Matos <caitlin.matos@zoho.com>
-Build-Depends: debhelper (>= 9),
+           Caitlin Matos <caitlin.matos@zoho.com>,
+           Georg Faerber <georg@riseup.net>
+Build-Depends: debhelper (>= 11~),
                gem2deb,
                ruby-bundler,
-               ruby-minitest,
-Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/rake.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/rake.git
+               ruby-minitest
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/ruby-team/rake.git
+Vcs-Browser: https://salsa.debian.org/ruby-team/rake
 Homepage: https://github.com/jimweirich/rake
 XS-Ruby-Versions: all
 Testsuite: autopkgtest-pkg-ruby

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 	$(RM) -r test/data/file_creation_task/build/
 	$(RM) -r test/data/file_creation_task/src/
 	dh_clean
+
+override_dh_installchangelogs:
+	dh_installchangelogs History.rdoc

=== debian/watch ===
version=4
opts="uversionmangle=s%.beta%~beta%" \
  https://github.com/ruby/rake/releases .*/v(.*).tar.gz

## rake 13.0.1

=== debian/changelog ===
rake (13.0.1-4) unstable; urgency=medium

  * Team upload
  * Add patch to fix autopkgtest (when using --gem-install)

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 02 Apr 2020 01:16:04 +0530

rake (13.0.1-3) unstable; urgency=medium

  * Team upload
  * Use --gem-install

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 02 Apr 2020 00:22:55 +0530

rake (13.0.1-2) unstable; urgency=medium

  * debian/changelog:
    - Drop trailing whitespace.
  * debian/control:
    - Use my debian.org email address.

 -- Georg Faerber <georg@debian.org>  Wed, 05 Feb 2020 14:32:38 +0000

rake (13.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Depend on ruby:any, instead of any. This should help Ubuntu folks to
      cross-install and -test Ruby, as asked for by Steve Langasek.
      (Closes: #949108)
    - Bump Standards-Version to 4.5.0, no changes required.
  * debian/patches:
    - Refresh for new release.

  [ Debian Janitor ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Georg Faerber <georg@debian.org>  Wed, 05 Feb 2020 11:49:28 +0000

rake (12.3.3-1) unstable; urgency=medium

  * Team upload

  [ Georg Faerber ]
  * CI: Disable reprotest job, as it leads to false positives
  * Drop compat file, rely on debhelper-compat

  [ Utkarsh Gupta ]
  * New upstream version 12.3.3
  * Refresh d/patches
  * Remove d/tests/control.autodep8
  * Bump Standards-Version to 4.4.0
  * Add d/upstream/metadata
  * Add salsa-ci.yml

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Sun, 15 Sep 2019 11:29:53 +0530

rake (12.3.1-3) unstable; urgency=medium

  * Revert the drop of the ruby dependency. See Debian bug #897279 for related
    discussion.
  * Add a simple smoke test

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 02 May 2018 10:46:41 -0300

rake (12.3.1-2) unstable; urgency=medium

  * Drop dependency on ruby, breaking circular dependency (ruby → rubyX.Y →
    librubyX.Y → rake → ruby)
    - debian/rules: fail the build if rake depends on ruby
    - debian/rake.lintian-overrides: override lintian check for ruby scripts
      needing a dependency on ruby
  * Bump Standards-Version top 4.1.4; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 01 May 2018 22:10:36 -0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: rake
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Paul van Tilburg <paulvt@debian.org>,
            Caitlin Matos <caitlin.matos@zoho.com>,
-           Georg Faerber <georg@riseup.net>
-Build-Depends: debhelper (>= 11~),
+           Georg Faerber <georg@debian.org>,
+Build-Depends: debhelper-compat (= 12),
                gem2deb,
                ruby-bundler,
                ruby-minitest
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/ruby-team/rake.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/rake
-Homepage: https://github.com/jimweirich/rake
+Homepage: https://github.com/ruby/rake
 XS-Ruby-Versions: all
 Testsuite: autopkgtest-pkg-ruby
 
@@ -22,7 +21,7 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Multi-Arch: foreign
-Depends: ruby | ruby-interpreter,
+Depends: ruby:any | ruby-interpreter,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: zip

## rake 13.0.3

=== debian/changelog ===
rake (13.0.3-1) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package

  [ Antonio Terceiro ]
  * New upstream version 13.0.3
  * Refresh patches

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 06 Feb 2021 13:45:38 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rake
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>,
            Paul van Tilburg <paulvt@debian.org>,
            Caitlin Matos <caitlin.matos@zoho.com>,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_RUBY = --gem-install
 
 %:
 	dh $@ --buildsystem=ruby --with ruby

## rake 13.0.6

=== debian/changelog ===
rake (13.0.6-3) unstable; urgency=medium

  * bash_completion: complete all tasks, even undocumented ones

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 12 Mar 2022 12:49:56 -0300

rake (13.0.6-2) unstable; urgency=medium

  * fix gemspec loading under autopkgtest

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 06 Jan 2022 12:44:41 -0300

rake (13.0.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Antonio Terceiro ]
  * bash completion: fix test for Rakefile updates
  * debian/watch: fix check for new upstream releases
  * New upstream version 13.0.6
  * Refresh patches
    - Consolidated 0001-test-helper-adapt-to-test-installed-package.patch
      and 0004-fix-autopkgtest.patch into a single patch
      (0001-test-adapt-to-test-installed-package.patch), as both deal with
      autopkgtest support in the test suite.
    - Dropped 0003-gemspec-drop-git-usage.patch, made unnecessary dues to
      upstream changes.
  * Drop alternative dependency on ruby-interpreter
  * Bump Standards-Version to 4.6.0; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 06 Jan 2022 11:33:24 -0300

=== debian/watch ===
version=4
opts="uversionmangle=s%.beta%~beta%" \
  https://github.com/ruby/rake/tags .*/v(.*).tar.gz

## rake 13.2.1

=== debian/changelog ===
rake (13.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Declare compliance with Debian Policy 4.7.0
  * d/control: remove XS-Ruby-Versions field

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 10 Apr 2024 18:47:30 -0300

rake (13.2.0-1) unstable; urgency=medium

  * New upstream version 13.2.0.
  * debian/patches: Refresh as per new upstream.
  * debian/ruby-tests.rake: Adjust as per team standards.

 -- Georg Faerber <georg@debian.org>  Wed, 03 Apr 2024 17:57:14 +0000

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,21 @@
            Paul van Tilburg <paulvt@debian.org>,
            Caitlin Matos <caitlin.matos@zoho.com>,
            Georg Faerber <georg@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gem2deb,
                ruby-bundler,
                ruby-minitest
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/ruby-team/rake.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/rake
 Homepage: https://github.com/ruby/rake
-XS-Ruby-Versions: all
 Testsuite: autopkgtest-pkg-ruby
 
 Package: rake
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Multi-Arch: foreign
-Depends: ruby:any | ruby-interpreter,
+Depends: ruby:any,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: zip

## rake 13.3.1

=== debian/changelog ===
rake (13.3.1-1) unstable; urgency=medium

  * Team upload.

  [ Lucas Nussbaum ]
  * debian/gbp.conf: Add for DEP-14
  * debian/.gitattributes: remove
  * debian/salsa-ci.yml: use team-specific include

  [ Simon Quigley ]
  * New upstream release.
  * Update Standards-Version to 4.7.3, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 14 Feb 2026 12:30:37 -0600

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                gem2deb,
                ruby-bundler,
                ruby-minitest
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/ruby-team/rake.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/rake
 Homepage: https://github.com/ruby/rake
